package com.care.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareOlderContact;
import com.care.common.mapper.CareOlderContactMapper;
import com.care.common.service.CareOlderContactService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 被监护人紧急联系人(BigSreenOlderContactVO)表服务实现类
 *
 * @author makejava
 * @since 2021-05-21 00:08:27
 */
@Service
public class CareOlderContactServiceImpl extends ServiceImpl<CareOlderContactMapper, CareOlderContact> implements CareOlderContactService {

    /**
     * 查询老人-紧急联系人
     *
     * @param olderId
     * @return
     */
    @Override
    public List<CareOlderContact> queryContactByOlderId(Long olderId) {
        QueryWrapper<CareOlderContact> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareOlderContact::getOlderId,olderId)
                .eq(CareOlderContact::getStatus,"1");
        return this.list(queryWrapper);
    }
}